com.amazonaws.services.machinelearning.waiters

## Class DescribeEvaluationsFunction

- java.lang.Object
- - com.amazonaws.services.machinelearning.waiters.DescribeEvaluationsFunction

All Implemented Interfaces:
  SdkFunction<DescribeEvaluationsRequest,DescribeEvaluationsResult>

    public class DescribeEvaluationsFunction
    extends Object
    implements SdkFunction<DescribeEvaluationsRequest,DescribeEvaluationsResult>

### Constructor Summary

Constructors
Constructor and Description
`DescribeEvaluationsFunction(AmazonMachineLearning client)` Constructs a new DescribeEvaluationsFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeEvaluationsResult` `apply(DescribeEvaluationsRequest describeEvaluationsRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DescribeEvaluationsFunction

    public DescribeEvaluationsFunction(AmazonMachineLearning client)

Constructs a new DescribeEvaluationsFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public DescribeEvaluationsResult apply(DescribeEvaluationsRequest describeEvaluationsRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<DescribeEvaluationsRequest,DescribeEvaluationsResult>`
Parameters:
  `describeEvaluationsRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation